.card-wrapper {
  border: 1px solid #ccc;
  border-radius: 0.5em;
  padding: 1.5rem 1rem;
  font-size: 1rem;
  color: #909090;
  width: 800px;
  height: 550px;
  background-color: #fff;
  position: relative;

  .loading-layer {
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: rgba($color: #fff, $alpha: .9);
    display: flex;
    justify-content: center;
    align-items: center;
    color: #383838;
    font-weight: 800;
    font-size: 1rem;
    text-transform: uppercase;
    border-radius: 0.5em;
  }

  .top-info-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    .top-left-info-block {
      height: 210px;
    }

    .top-right-info-block {
      background-color: #f9f9f9;
      margin-right: 1rem;
      padding: 1rem;
      width: 250px;
      border-radius: .5rem;

      .mini-weather-card-navigator {
        display: flex;
        flex-direction: row;
        justify-content: space-between;

        .mini-weather-card-title {
          font-weight: 700;
        }

        .mini-weather-card-exit-btn {
          cursor: pointer;
        }

        .mini-weather-card-exit-btn:hover {
          font-weight: 800;
          color: #383838;
          transition: all .5s;
        }
      }
    }
  }

  .general-info-wrapper {
    font-weight: 500;
    padding-left: 1rem;

    .location {
      font-size: 2rem;
      margin-right: .5rem;
    }

    .info-title-wrapper {
      display: flex;
      flex-direction: row;
      align-items: center;

      .info-edit-btn {
        font-size: .8rem;
        cursor: pointer;
        text-decoration: underline;
      }
    }

    .location-editor-submit-btn {
      background-color: #ffe3dc;
      color: #5f5f5f;
      font-weight: 700;
      border: none;
      padding: .25rem 1rem;
      margin-left: .5rem;
      border-radius: .25rem;
      cursor: pointer;
    }
    
    p {
      margin: 0 0 5px 0;
    }
  }

  .weather-overview {
    .weather {
      margin: 0;
      font-weight: 700;
      padding-left: 1rem;
    }

    .icon-tmp-wrapper {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin: 1rem 0 0 0;

      .icon-wrapper {
        img {
          width: 100%;
        }
      }

      .tmp-wrapper {
        display: flex;
        flex-direction: row;
        color: #383838;

        p {
          margin: 0;
        }

        .degree {
          font-size: 3.5rem;
          font-weight: 800;
        }

        .tmp-unit {
          font-weight: 800;
        }
      }
    }
  }

  .weekly-forecast-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    .daily-card {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 80px;
      border-radius: 0.5rem;
      padding: 0.5rem 0;
      border: 2px solid transparent;
      flex: auto 1;
      cursor: pointer;

      p {
        margin: 0;
        color: #999;
      }

      .daily-card-icon {
        width: 80px;

        img {
          width: 100%;
        }
      }

      .daily-card-tmp-wrapper {
        display: flex;
        flex-direction: row;
        font-size: 0.9rem;
        justify-content: space-between;
        padding: 0 1rem;

        .daily-highest-temp {
          font-weight: 700;
          color: #383838;
          margin-right: .5rem;
        }
      }
    }

    .daily-card-selected {
      border: 2px solid #ffc8ba;
      transition: border .5s;
    }

    .daily-card:hover {
      background-color: #fdf1ee;
      transition: all .5s;
    }
  }
}

.mini-card-wrapper {
  ul {
    padding-left: 0;
    list-style: none;
    font-size: 0.8rem;
    margin: 0;

    li {
      margin: 5px 0;
    }

    .mini-card-weather-description {
      text-transform: capitalize;
    }

    .mini-card-weather-temp {
      font-weight: 700;
      font-size: 1.5rem;
    }

    .mini-card-weather-temp-detail {
      display: flex;
      flex-direction: row;

      .detail-card {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex: auto 1;
        background-color: #fff;
        margin: 0 2px;
        padding: 0 0.5rem;
        height: 50px;

        p {
          margin: 0;
        }

        .detail-title {
          font-size: 0.8rem;
        }
      }

      .detail-card:first-child {
        border-radius: .5rem 0 0 .5rem;
      }

      .detail-card:last-child {
        border-radius: 0 .5rem .5rem 0;
      }
    }

    .mini-card-weather-humidity {}

    .mini-card-weather-wind {}
  }
}

@media only screen and (max-width: 800px) {
  .card-wrapper {
    width: 100%;
  }
}